Linux Kernel up to 4.4.220/4.9.220/4.14.177/4.19.118/5.2 Reference Counter fs/namespace.c pivot_root race condition

EntryeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
3.8$0-$5k0.00

A vulnerability was found in Linux Kernel up to 4.4.220/4.9.220/4.14.177/4.19.118/5.2 (Operating System) and classified as problematic. This issue affects the function pivot_root of the file fs/namespace.c of the component Reference Counter. The manipulation with an unknown input leads to a race condition vulnerability. Using CWE to declare the problem leads to CWE-362. Impacted is availability. The summary by CVE is:

A pivot_root race condition in fs/namespace.c in the Linux kernel 4.4.x before 4.4.221, 4.9.x before 4.9.221, 4.14.x before 4.14.178, 4.19.x before 4.19.119, and 5.x before 5.3 allows local users to cause a denial of service (panic) by corrupting a mountpoint reference counter.

The weakness was disclosed 05/04/2020. The identification of this vulnerability is CVE-2020-12114 since 04/23/2020. An attack has to be approached locally. A simple authentication is needed for exploitation. Technical details are known, but no exploit is available.

Upgrading to version 4.4.221, 4.9.221, 4.14.178, 4.19.119 or 5.3 eliminates this vulnerability.

Productinfoedit

Type

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 4.0
VulDB Meta Temp Score: 3.8

VulDB Base Score: 3.3
VulDB Temp Score: 3.2
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 4.7
NVD Vector: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Race condition
CWE: CWE-362
ATT&CK: Unknown

Local: Yes
Remote: No

Availability: 🔍
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfoedit

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Kernel 4.4.221/4.9.221/4.14.178/4.19.119/5.3

Timelineinfoedit

04/23/2020 🔍
05/04/2020 +11 days 🔍
05/04/2020 +0 days 🔍
10/15/2020 +164 days 🔍

Sourcesinfoedit

Vendor: https://www.kernel.org/

Status: Not defined
Confirmation: 🔍

CVE: CVE-2020-12114 (🔍)

Entryinfoedit

Created: 05/04/2020 05:02 PM
Updated: 10/15/2020 07:54 AM
Changes: (1) advisory_confirm_url
Complete: 🔍

Comments

No comments yet. Please log in to comment.

Interested in the pricing of exploits?

See the underground prices here!